<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.server.https-listener" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allow-encoded-slash,allow-equals-in-cookie-value,allow-unescaped-characters-in-url,always-set-keep-alive,buffer-pipelined-data,buffer-pool,certificate-forwarding,decode-url,disallowed-methods,enable-http2,enable-spdy,enabled,enabled-cipher-suites,enabled-protocols,http2-enable-push,http2-header-table-size,http2-initial-window-size,http2-max-concurrent-streams,http2-max-frame-size,http2-max-header-list-size,max-buffered-request-size,max-connections,max-cookies,max-header-size,max-headers,max-parameters,max-post-size,no-request-timeout,proxy-address-forwarding,proxy-protocol,read-timeout,receive-buffer,record-request-start-time,request-parse-timeout,require-host-http11,resolve-peer-address,rfc6265-cookie-validation,secure,security-realm,send-buffer,socket-binding,ssl-context,ssl-session-cache-size,ssl-session-timeout,tcp-backlog,tcp-keep-alive,url-charset,verify-client,worker,write-timeout"/>
        <elem name="addr-params" value="profile,subsystem,server,https-listener"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.listener.$https-listener"/>
        <capability name="$profile.org.wildfly.undertow.listener.http-upgrade-registry.$https-listener"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
        <capability name="$profile.org.wildfly.io.worker.$worker" optional="true"/>
        <capability name="org.wildfly.network.socket-binding.$socket-binding"/>
        <capability name="$profile.org.wildfly.undertow.byte-buffer-pool.$buffer-pool" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.server"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="disallowed-methods" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="request-parse-timeout" nillable="true" stability="default"/>
        <param name="ssl-session-timeout" nillable="true" stability="default"/>
        <param name="certificate-forwarding" nillable="true" stability="default"/>
        <param name="read-timeout" nillable="true" stability="default"/>
        <param name="allow-unescaped-characters-in-url" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="max-connections" nillable="true" stability="default"/>
        <param name="resolve-peer-address" nillable="true" stability="default"/>
        <param name="ssl-context" nillable="true" stability="default"/>
        <param name="secure" nillable="true" stability="default"/>
        <param name="enable-http2" nillable="true" stability="default"/>
        <param name="max-buffered-request-size" nillable="true" stability="default"/>
        <param name="record-request-start-time" nillable="true" stability="default"/>
        <param name="max-parameters" nillable="true" stability="default"/>
        <param name="ssl-session-cache-size" nillable="true" stability="default"/>
        <param name="worker" nillable="true" default="default" stability="default"/>
        <param name="https-listener" feature-id="true"/>
        <param name="no-request-timeout" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="enable-spdy" nillable="true" stability="default"/>
        <param name="security-realm" nillable="true" stability="default"/>
        <param name="buffer-pool" nillable="true" default="default" stability="default"/>
        <param name="verify-client" nillable="true" stability="default"/>
        <param name="write-timeout" nillable="true" stability="default"/>
        <param name="max-post-size" nillable="true" stability="default"/>
        <param name="max-header-size" nillable="true" stability="default"/>
        <param name="rfc6265-cookie-validation" nillable="true" stability="default"/>
        <param name="max-cookies" nillable="true" stability="default"/>
        <param name="server" feature-id="true"/>
        <param name="send-buffer" nillable="true" stability="default"/>
        <param name="tcp-backlog" nillable="true" stability="default"/>
        <param name="enabled-cipher-suites" nillable="true" stability="default"/>
        <param name="http2-header-table-size" nillable="true" stability="default"/>
        <param name="enabled" nillable="true" stability="default"/>
        <param name="enabled-protocols" nillable="true" stability="default"/>
        <param name="receive-buffer" nillable="true" stability="default"/>
        <param name="require-host-http11" nillable="true" stability="default"/>
        <param name="url-charset" nillable="true" stability="default"/>
        <param name="max-headers" nillable="true" stability="default"/>
        <param name="allow-encoded-slash" nillable="true" stability="default"/>
        <param name="tcp-keep-alive" nillable="true" stability="default"/>
        <param name="http2-max-header-list-size" nillable="true" stability="default"/>
        <param name="allow-equals-in-cookie-value" nillable="true" stability="default"/>
        <param name="decode-url" nillable="true" stability="default"/>
        <param name="http2-initial-window-size" nillable="true" stability="default"/>
        <param name="proxy-protocol" nillable="true" stability="default"/>
        <param name="socket-binding" stability="default"/>
        <param name="http2-enable-push" nillable="true" stability="default"/>
        <param name="http2-max-concurrent-streams" nillable="true" stability="default"/>
        <param name="http2-max-frame-size" nillable="true" stability="default"/>
        <param name="always-set-keep-alive" nillable="true" stability="default"/>
        <param name="buffer-pipelined-data" nillable="true" stability="default"/>
        <param name="proxy-address-forwarding" nillable="true" stability="default"/>
    </params>
</feature-spec>